twitter4j

## Enum TwitterMethod

- java.lang.Object
- - java.lang.Enum<TwitterMethod>
  - - twitter4j.TwitterMethod

All Implemented Interfaces:
  Serializable, Comparable<TwitterMethod>

    public enum TwitterMethod
    extends Enum<TwitterMethod>

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACCOUNT_SETTINGS`
`AVAILABLE_TRENDS`
`BLOCK_LIST`
`BLOCK_LIST_IDS`
`CHECK_LIST_MEMBERSHIP`
`CHECK_LIST_SUBSCRIPTION`
`CLOSEST_TRENDS`
`CONFIGURATION`
`CONTRIBUTEEES`
`CONTRIBUTORS`
`CREATE_BLOCK`
`CREATE_FAVORITE`
`CREATE_FRIENDSHIP`
`CREATE_LIST_MEMBER`
`CREATE_LIST_MEMBERS`
`CREATE_MUTE`
`CREATE_SAVED_SEARCH`
`CREATE_USER_LIST`
`DESTROY_BLOCK`
`DESTROY_DIRECT_MESSAGE`
`DESTROY_FAVORITE`
`DESTROY_FRIENDSHIP`
`DESTROY_LIST_MEMBER`
`DESTROY_MUTE`
`DESTROY_SAVED_SEARCH`
`DESTROY_STATUS`
`DESTROY_USER_LIST`
`DIRECT_MESSAGE`
`DIRECT_MESSAGES`
`FAVORITES`
`FOLLOWERS_IDS`
`FOLLOWERS_LIST`
`FRIENDS_IDS`
`FRIENDS_LIST`
`GEO_DETAILS`
`HOME_TIMELINE`
`INCOMING_FRIENDSHIPS`
`LANGUAGES`
`LIST_MEMBERS`
`LIST_SUBSCRIBERS`
`LOOKUP`
`LOOKUP_FRIENDSHIPS`
`LOOKUP_USERS`
`MEMBER_SUGGESTIONS`
`MENTIONS_TIMELINE`
`MUTE_LIST`
`MUTE_LIST_IDS`
`OAUTH_ACCESS_TOKEN`
`OAUTH_REQUEST_TOKEN`
`OEMBED`
`OUTGOING_FRIENDSHIPS`
`PLACE_TRENDS`
`PRIVACY_POLICY`
`RATE_LIMIT_STATUS`
`RELATED_RESULTS`
`REMOVE_PROFILE_BANNER`
`REPORT_SPAM`
`RETWEET_STATUS`
`RETWEETS`
`RETWEETS_OF_ME`
`REVERSE_GEO_CODE`
`SAVED_SEARCH`
`SAVED_SEARCHES`
`SEARCH`
`SEARCH_PLACES`
`SEARCH_USERS`
`SEND_DIRECT_MESSAGE`
`SENT_DIRECT_MESSAGES`
`SHOW_FRIENDSHIP`
`SHOW_STATUS`
`SHOW_USER`
`SHOW_USER_LIST`
`SIMILAR_PLACES`
`SUBSCRIBE_LIST`
`SUGGESTED_USER_CATEGORIES`
`TERMS_OF_SERVICE`
`UNSUBSCRIBE_LIST`
`UPDATE_ACCOUNT_SETTINGS`
`UPDATE_FRIENDSHIP`
`UPDATE_PROFILE`
`UPDATE_PROFILE_BACKGROUND_IMAGE`
`UPDATE_PROFILE_BANNER`
`UPDATE_PROFILE_COLORS`
`UPDATE_PROFILE_IMAGE`
`UPDATE_STATUS`
`UPDATE_USER_LIST`
`USER_LIST_MEMBERSHIPS`
`USER_LIST_STATUSES`
`USER_LIST_SUBSCRIPTIONS`
`USER_LISTS`
`USER_SUGGESTIONS`
`USER_TIMELINE`
`VERIFY_CREDENTIALS`

### Method Summary

All Methods Static Methods Concrete Methods
`static TwitterMethod` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TwitterMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MENTIONS_TIMELINE

    public static final TwitterMethod MENTIONS_TIMELINE

#### USER_TIMELINE

    public static final TwitterMethod USER_TIMELINE

#### HOME_TIMELINE

    public static final TwitterMethod HOME_TIMELINE

#### RETWEETS_OF_ME

    public static final TwitterMethod RETWEETS_OF_ME

#### RETWEETS

    public static final TwitterMethod RETWEETS

#### SHOW_STATUS

    public static final TwitterMethod SHOW_STATUS

#### DESTROY_STATUS

    public static final TwitterMethod DESTROY_STATUS

#### UPDATE_STATUS

    public static final TwitterMethod UPDATE_STATUS

#### RETWEET_STATUS

    public static final TwitterMethod RETWEET_STATUS

#### OEMBED

    public static final TwitterMethod OEMBED

#### LOOKUP

    public static final TwitterMethod LOOKUP

#### SEARCH

    public static final TwitterMethod SEARCH

#### DIRECT_MESSAGES

    public static final TwitterMethod DIRECT_MESSAGES

#### SENT_DIRECT_MESSAGES

    public static final TwitterMethod SENT_DIRECT_MESSAGES

#### DIRECT_MESSAGE

    public static final TwitterMethod DIRECT_MESSAGE

#### DESTROY_DIRECT_MESSAGE

    public static final TwitterMethod DESTROY_DIRECT_MESSAGE

#### SEND_DIRECT_MESSAGE

    public static final TwitterMethod SEND_DIRECT_MESSAGE

#### FRIENDS_IDS

    public static final TwitterMethod FRIENDS_IDS

#### FOLLOWERS_IDS

    public static final TwitterMethod FOLLOWERS_IDS

#### LOOKUP_FRIENDSHIPS

    public static final TwitterMethod LOOKUP_FRIENDSHIPS

#### INCOMING_FRIENDSHIPS

    public static final TwitterMethod INCOMING_FRIENDSHIPS

#### OUTGOING_FRIENDSHIPS

    public static final TwitterMethod OUTGOING_FRIENDSHIPS

#### CREATE_FRIENDSHIP

    public static final TwitterMethod CREATE_FRIENDSHIP

#### DESTROY_FRIENDSHIP

    public static final TwitterMethod DESTROY_FRIENDSHIP

#### UPDATE_FRIENDSHIP

    public static final TwitterMethod UPDATE_FRIENDSHIP

#### SHOW_FRIENDSHIP

    public static final TwitterMethod SHOW_FRIENDSHIP

#### FRIENDS_LIST

    public static final TwitterMethod FRIENDS_LIST

#### FOLLOWERS_LIST

    public static final TwitterMethod FOLLOWERS_LIST

#### ACCOUNT_SETTINGS

    public static final TwitterMethod ACCOUNT_SETTINGS

#### VERIFY_CREDENTIALS

    public static final TwitterMethod VERIFY_CREDENTIALS

#### UPDATE_ACCOUNT_SETTINGS

    public static final TwitterMethod UPDATE_ACCOUNT_SETTINGS

#### UPDATE_PROFILE

    public static final TwitterMethod UPDATE_PROFILE

#### UPDATE_PROFILE_BACKGROUND_IMAGE

    public static final TwitterMethod UPDATE_PROFILE_BACKGROUND_IMAGE

#### UPDATE_PROFILE_COLORS

    public static final TwitterMethod UPDATE_PROFILE_COLORS

#### UPDATE_PROFILE_IMAGE

    public static final TwitterMethod UPDATE_PROFILE_IMAGE

#### BLOCK_LIST

    public static final TwitterMethod BLOCK_LIST

#### BLOCK_LIST_IDS

    public static final TwitterMethod BLOCK_LIST_IDS

#### CREATE_BLOCK

    public static final TwitterMethod CREATE_BLOCK

#### DESTROY_BLOCK

    public static final TwitterMethod DESTROY_BLOCK

#### MUTE_LIST

    public static final TwitterMethod MUTE_LIST

#### MUTE_LIST_IDS

    public static final TwitterMethod MUTE_LIST_IDS

#### CREATE_MUTE

    public static final TwitterMethod CREATE_MUTE

#### DESTROY_MUTE

    public static final TwitterMethod DESTROY_MUTE

#### SHOW_USER

    public static final TwitterMethod SHOW_USER

#### LOOKUP_USERS

    public static final TwitterMethod LOOKUP_USERS

#### SEARCH_USERS

    public static final TwitterMethod SEARCH_USERS

#### CONTRIBUTORS

    public static final TwitterMethod CONTRIBUTORS

#### CONTRIBUTEEES

    public static final TwitterMethod CONTRIBUTEEES

#### REMOVE_PROFILE_BANNER

    public static final TwitterMethod REMOVE_PROFILE_BANNER

#### UPDATE_PROFILE_BANNER

    public static final TwitterMethod UPDATE_PROFILE_BANNER

#### RATE_LIMIT_STATUS

    public static final TwitterMethod RATE_LIMIT_STATUS

#### USER_SUGGESTIONS

    public static final TwitterMethod USER_SUGGESTIONS

#### SUGGESTED_USER_CATEGORIES

    public static final TwitterMethod SUGGESTED_USER_CATEGORIES

#### MEMBER_SUGGESTIONS

    public static final TwitterMethod MEMBER_SUGGESTIONS

#### FAVORITES

    public static final TwitterMethod FAVORITES

#### DESTROY_FAVORITE

    public static final TwitterMethod DESTROY_FAVORITE

#### CREATE_FAVORITE

    public static final TwitterMethod CREATE_FAVORITE

#### USER_LISTS

    public static final TwitterMethod USER_LISTS

#### USER_LIST_STATUSES

    public static final TwitterMethod USER_LIST_STATUSES

#### DESTROY_LIST_MEMBER

    public static final TwitterMethod DESTROY_LIST_MEMBER

#### USER_LIST_MEMBERSHIPS

    public static final TwitterMethod USER_LIST_MEMBERSHIPS

#### LIST_SUBSCRIBERS

    public static final TwitterMethod LIST_SUBSCRIBERS

#### SUBSCRIBE_LIST

    public static final TwitterMethod SUBSCRIBE_LIST

#### CHECK_LIST_SUBSCRIPTION

    public static final TwitterMethod CHECK_LIST_SUBSCRIPTION

#### UNSUBSCRIBE_LIST

    public static final TwitterMethod UNSUBSCRIBE_LIST

#### CREATE_LIST_MEMBERS

    public static final TwitterMethod CREATE_LIST_MEMBERS

#### CHECK_LIST_MEMBERSHIP

    public static final TwitterMethod CHECK_LIST_MEMBERSHIP

#### LIST_MEMBERS

    public static final TwitterMethod LIST_MEMBERS

#### CREATE_LIST_MEMBER

    public static final TwitterMethod CREATE_LIST_MEMBER

#### DESTROY_USER_LIST

    public static final TwitterMethod DESTROY_USER_LIST

#### UPDATE_USER_LIST

    public static final TwitterMethod UPDATE_USER_LIST

#### CREATE_USER_LIST

    public static final TwitterMethod CREATE_USER_LIST

#### SHOW_USER_LIST

    public static final TwitterMethod SHOW_USER_LIST

#### USER_LIST_SUBSCRIPTIONS

    public static final TwitterMethod USER_LIST_SUBSCRIPTIONS

#### SAVED_SEARCHES

    public static final TwitterMethod SAVED_SEARCHES

#### SAVED_SEARCH

    public static final TwitterMethod SAVED_SEARCH

#### CREATE_SAVED_SEARCH

    public static final TwitterMethod CREATE_SAVED_SEARCH

#### DESTROY_SAVED_SEARCH

    public static final TwitterMethod DESTROY_SAVED_SEARCH

#### SEARCH_PLACES

    public static final TwitterMethod SEARCH_PLACES

#### SIMILAR_PLACES

    public static final TwitterMethod SIMILAR_PLACES

#### REVERSE_GEO_CODE

    public static final TwitterMethod REVERSE_GEO_CODE

#### GEO_DETAILS

    public static final TwitterMethod GEO_DETAILS

#### PLACE_TRENDS

    public static final TwitterMethod PLACE_TRENDS

#### AVAILABLE_TRENDS

    public static final TwitterMethod AVAILABLE_TRENDS

#### CLOSEST_TRENDS

    public static final TwitterMethod CLOSEST_TRENDS

#### REPORT_SPAM

    public static final TwitterMethod REPORT_SPAM

#### OAUTH_REQUEST_TOKEN

    public static final TwitterMethod OAUTH_REQUEST_TOKEN

#### OAUTH_ACCESS_TOKEN

    public static final TwitterMethod OAUTH_ACCESS_TOKEN

#### TERMS_OF_SERVICE

    public static final TwitterMethod TERMS_OF_SERVICE

#### CONFIGURATION

    public static final TwitterMethod CONFIGURATION

#### LANGUAGES

    public static final TwitterMethod LANGUAGES

#### PRIVACY_POLICY

    public static final TwitterMethod PRIVACY_POLICY

#### RELATED_RESULTS

    public static final TwitterMethod RELATED_RESULTS

### Method Detail

#### values

    public static TwitterMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TwitterMethod c : TwitterMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TwitterMethod valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null